LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XUpdatable2 Interface Reference

This interface extends XUpdatable in order to provide more fine-tuned update modes. More...

`import"XUpdatable2.idl";`

Inheritance diagram for XUpdatable2:

## Public Member Functions
void | updateSoft ()
| Perform update, but update may not always be performed especially when the controller is locked. More...
void | updateHard ()
| Perform update, even when the controller is locked. More...
Public Member Functions inherited from XUpdatable
void | update ()
| refreshes the data of the object from the connected data source. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface extends XUpdatable in order to provide more fine-tuned update modes.

When performing a soft update, the implementor may decide not to update in certain cases, such as when the controller is locked. When performing a hard update, on the other hand, the implementor should perform update more aggressively even when the controller is locked.

## Member Function Documentation

## ◆ updateHard()

void updateHard | ( |  | ) |

Perform update, even when the controller is locked.

## ◆ updateSoft()

void updateSoft | ( |  | ) |

Perform update, but update may not always be performed especially when the controller is locked.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XUpdatable2.idl